

#ifndef __IMAGER_MACRO2_H__
#define __IMAGER_MACRO2_H__




#include "macro.h"

/* Flow of control */

variable_type mac_endmacro (unsigned char* s, int* i);
variable_type mac_callproc (unsigned char* s, int* i);
variable_type mac_forloop (unsigned char* master, int* idx);
variable_type mac_foreach (unsigned char* master, int* idx);
variable_type mac_while (unsigned char* master, int* idx);
variable_type mac_repeat (unsigned char* master, int* idx);
variable_type mac_if (unsigned char* master, int* idx);


/* Dyadic operator prototypes */

variable_type mac_add (variable_type x, variable_type y);
variable_type mac_subtract (variable_type x, variable_type y);
variable_type mac_mult (variable_type x, variable_type y);
variable_type mac_div (variable_type x, variable_type y);
variable_type mac_and (variable_type x, variable_type y);
variable_type mac_or (variable_type x, variable_type y);
variable_type mac_xor (variable_type x, variable_type y);
variable_type mac_equals (variable_type x, variable_type y);
variable_type mac_notequals (variable_type x, variable_type y);
variable_type mac_gt (variable_type x, variable_type y);
variable_type mac_le (variable_type x, variable_type y);
variable_type mac_lt (variable_type x, variable_type y);
variable_type mac_ge (variable_type x, variable_type y);

#endif

