

#ifndef __IMAGER_PROCESSM_H__
#define __IMAGER_PROCESSM_H__

#include "defs.h"


void invert_image (image_type* img);
void cycle_image (image_type *img, int xcycle, int ycycle, int slice);
void execute_trim_image (image_type* img, int offs, double fmin, double fmax, int shift, int mask);
void trim_data (image_type *img);
int do_crop (image_type* img, int x1, int y1, int x2, int y2);
void crop_main ();
void histeq (image_type* img, int numbins, int oorflg);
void histeq_main ();
void dataconv_hsvconv (image_type* img);
void dataconv_ycrcbconv (image_type* img);
void dataconv_execute (image_type* img, TYPE_SELECTOR targettype, char dataconv_expand);
void dataconv_expand_rgb (image_type* img);
void dataconv_main ();


#endif
