

/* This header file can be used to include ALL header files of the cimage
	core codebase.
*/



#ifndef __IMAGER_INCLALL_H
#define __IMAGER_INCLALL_H


/* We probably need to include the gtk/gdk headers... */

#include <gtk/gtk.h>
#include <gdk/gdk.h>


/* Pretty much *all* cimage components need defs.h: */

#include "../src/defs.h"

/* Header files for the individual components.
	Note that callbacks.h is specifically excluded,
	as are the macro-submodules macro1.h and macro2.h.
*/

#include "../src/application.h"
#include "../src/binary.h"
#include "../src/dlgbox.h"
#include "../src/dso.h"
#include "../src/functions.h"
#include "../src/functions2.h"
#include "../src/fft.h"
#include "../src/filter.h"
#include "../src/filter_adaptive.h"
#include "../src/findclust.h"
#include "../src/fractals.h"
#include "../src/functions.h"
#include "../src/functions2.h"
#include "../src/graphdsp.h"
#include "../src/gtkhelpers.h"
#include "../src/hough.h"
#include "../src/imgbuf.h"
#include "../src/imgmath.h"
#include "../src/import.h"
#include "../src/interface.h"
#include "../src/interpolate.h"
#include "../src/macro.h"
#include "../src/measure.h"
#include "../src/miscop.h"
#include "../src/morphop.h"
#include "../src/processm.h"
#include "../src/randgen.h"
#include "../src/roi.h"
#include "../src/secondwnd.h"
#include "../src/segment.h"
#include "../src/snakes.h"
#include "../src/special1.h"
#include "../src/statop.h"
#include "../src/threshold.h"
#include "../src/tiffstuff.h"
#include "../src/viz.h"
#include "../src/watershed.h"
#include "../src/wvlt_core.h"
#include "../src/wvlt_filt.h"


#endif

