






#ifndef __IMAGER_FUNCTIONS_H__
#define __IMAGER_FUNCTIONS_H__



long rndreg;

void dp (int pri, char *format,...);
void fatal_memerr ();
char isempty (const char* s);
char *basename (const char *filename);
char *dirname (const char *filename);
char *compose_filename ( const char *filename);

void	init_gsl_fn ();

char slice_is_zero (image_type* img, int slice);

void imgminmax (image_type* img, float* mmin, float* mmax);

int dyadic_image_size (image_type *img, unsigned char flags);

void swap_quadrants (image_type* img);

hsvtriplet rgb_to_hsv (rgbtriplet rgb);
rgbtriplet hsv_to_rgb (hsvtriplet hsv);
rgbtriplet rgb_to_ycrcb (rgbtriplet rgb);

void makemip (image_type* img);


#endif
